Subject: Re: pine asks for passwd every IMAP folder access (fwd)

From: Scott Leibrand <[email-masked]>
Date: Mon, 24 Apr 2000 12:32:14 -0700 (PDT)

I've never really looked at the source code, either, but I know there are
quite a few people who have.  So I'm forwarding this to pine-info@cac and
comp.mail.pine for others to take a look at.

-- 
Scott Leibrand
[email-masked]            (Yes, that is a valid address.)
http://students.washington.edu/leibrand
* RCW 19.190 notice: This email address is located in Washington State. *
* Unsolicited commercial email may be billed $500 per message.          *

---------- Forwarded message ----------
Date: Mon, 24 Apr 2000 21:08:48 +0200 (MET DST)
From: Toth Csaba <[email-masked]>
To: Scott Leibrand <[email-masked]>
Subject: Re: pine asks for passwd every IMAP folder access

On Thu, 20 Apr 2000, Scott Leibrand wrote:

Nope, it didn't help.

Maybe pine doesn't store the full name (because of length limitation, or
separator character).

When I commented out the "!strcmp(user, l->user)" part of the condition
from the code where pine searches for match in the history (file imap.c 
line 1531, pine 4.21), it behaves the way I wanted. However this might
affect other functions. Unfortunately I'm not skilled enough to fully
understand the code. :(

Thanx for your help.

	Csaba

:-Have you tried putting in the /user= flag?  For example,
:-{your.imap.server.com/user=$username+$domain}INBOX might work.  I've never
:-dealt with that kind of username, though, so I don't know for sure.
:-
:--- 
:-Scott Leibrand
:[email-masked]            (Yes, that is a valid address.)
:-http://students.washington.edu/leibrand
:-* RCW 19.190 notice: This email address is located in Washington State. *
:-* Unsolicited commercial email may be billed $500 per message.          *
:-
:-On Thu, 20 Apr 2000, Toth Csaba wrote:
:-
:-> 
:-> Hi,
:-> 
:-> after upgrading our sun machine, and successfully lost our systemwide pine
:-> config file, we discoveder that pine asks for username and password every
:-> time it accesses a folder. (including when sending mail and writing fcc to
:-> sent-mail).
:-> 
:-> Is there a possibility to configure pine to chache the passwords in a
:-> session ?
:-> 
:-> Thanx,
:-> 
:-> 	Csaba TOTH
:-> 
:-> It may be important to notice that the user login names changed in the way
:-> that now users have to log in whith $username+$domain instead of
:-> $username. (the '+' sign is part of the login name)
:-> 
:-> 
:-> 
:-> -- 
:-> -----------------------------------------------------------------
:->  For information about this mailing list, and its archives, see: 
:->  http://www.washington.edu/pine/pine-info/
:-> -----------------------------------------------------------------
:-> 
:-